org.apache.hadoop.mapred

## Interface JobConfigurable

- All Known Subinterfaces:
    Mapper<K1,V1,K2,V2>, MapRunnable<K1,V1,K2,V2>, Partitioner<K2,V2>, Reducer<K2,V2,K3,V3>
  All Known Implementing Classes:
    BinaryPartitioner, ChainMapper, ChainReducer, DBInputFormat, DelegatingMapper, FieldSelectionMapReduce, FixedLengthInputFormat, HashPartitioner, IdentityMapper, IdentityReducer, InverseMapper, KeyFieldBasedComparator, KeyFieldBasedPartitioner, KeyValueTextInputFormat, LongSumReducer, MapReduceBase, MapRunner, MultithreadedMapRunner, NLineInputFormat, RegexMapper, TextInputFormat, TokenCountMapper, TotalOrderPartitioner, ValueAggregatorCombiner, ValueAggregatorJobBase, ValueAggregatorMapper, ValueAggregatorReducer

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public interface JobConfigurable

  That what may be configured.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(JobConf job)` Initializes a new instance from a `JobConf`.

- - ### Method Detail

    - #### configure

          void configure(JobConf job)

      Initializes a new instance from a `JobConf`.
      Parameters:
        `job` - the configuration

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.